<?php

namespace Bluesquare\Connect\Traits;

trait HasConnectData
{
    public static $connectIdentifier = 'connect_id';

    protected $connectFillable = [];

    public function fillConnectData(array $data)
    {
        foreach ($this->connectFillable as $origin => $target) {
            if (is_string($origin)) {
                $this->$target = $data[$origin] ?? null;
            } else {
                $this->$target = $data[$target] ?? null;
            }
        }
    }

    abstract public function fill(array $attributes);
}
